Bug 107599

Summary: [Chromium] Correct zoom for focused node when using compositor scaling
Product: WebKit Reporter: Xianzhu Wang <wangxianzhu>
Component: Layout and RenderingAssignee: Xianzhu Wang <wangxianzhu>
Status: RESOLVED FIXED    
Severity: Normal CC: abarth, aelias, enne, jamesr, keishi, klobag, webkit.review.bot
Priority: P2    
Version: 528+ (Nightly build)   
Hardware: Unspecified   
OS: Unspecified   
Bug Depends on: 108280    
Bug Blocks:    
Attachments:
Description Flags
Patch
none
Patch
none
Added font-size to ensure same caret size across platforms none

Description Xianzhu Wang 2013-01-22 16:45:17 PST
Similar to bug 107592, auto-zoom for focused node need to consider page scale and device scale differently.
Comment 1 Xianzhu Wang 2013-01-22 16:50:53 PST
Created attachment 184082 [details]
Patch
Comment 2 Adam Barth 2013-01-28 12:34:26 PST
Comment on attachment 184082 [details]
Patch

Tests?
Comment 3 Adam Barth 2013-01-28 12:36:30 PST
Comment on attachment 184082 [details]
Patch

The code change itself looks fine.
Comment 4 Xianzhu Wang 2013-01-28 14:14:41 PST
Didn't include a test because the original test for the function was disabled (bug 98558). Now I'd like to fix that bug and add a test for the changed code.
Comment 5 Xianzhu Wang 2013-01-29 12:06:31 PST
Created attachment 185280 [details]
Patch
Comment 6 Alexandre Elias 2013-01-29 12:20:03 PST
LGTM.  Adam?
Comment 7 Adam Barth 2013-01-29 13:02:36 PST
Comment on attachment 185280 [details]
Patch

rs=me based on aelias's comments.
Comment 8 WebKit Review Bot 2013-01-29 13:10:09 PST
Comment on attachment 185280 [details]
Patch

Clearing flags on attachment: 185280

Committed r141153: <http://trac.webkit.org/changeset/141153>
Comment 9 WebKit Review Bot 2013-01-29 13:10:13 PST
All reviewed patches have been landed.  Closing bug.
Comment 10 WebKit Review Bot 2013-01-29 18:34:44 PST
Re-opened since this is blocked by bug 108280
Comment 11 Keishi Hattori 2013-01-29 18:38:21 PST
(In reply to comment #10)
> Re-opened since this is blocked by bug 108280

WebFrameTest.DivScrollIntoEditableTest is failing on Chromium Mac bots.

WebFrameTest.DivScrollIntoEditableTest: 
../../third_party/WebKit/Source/WebKit/chromium/tests/WebFrameTest.cpp:972: Failure
The difference between hScroll and scroll.x() is 23, which exceeds 1, where
hScroll evaluates to 102,
scroll.x() evaluates to 125, and
1 evaluates to 1.
../../third_party/WebKit/Source/WebKit/chromium/tests/WebFrameTest.cpp:974: Failure
The difference between vScroll and scroll.y() is 3, which exceeds 1, where
vScroll evaluates to 105,
scroll.y() evaluates to 102, and
1 evaluates to 1.
Comment 12 Xianzhu Wang 2013-01-29 23:33:15 PST
Created attachment 185405 [details]
Added font-size to ensure same caret size across platforms
Comment 13 WebKit Review Bot 2013-01-30 00:24:18 PST
Comment on attachment 185405 [details]
Added font-size to ensure same caret size across platforms

Clearing flags on attachment: 185405

Committed r141231: <http://trac.webkit.org/changeset/141231>
Comment 14 WebKit Review Bot 2013-01-30 00:24:23 PST
All reviewed patches have been landed.  Closing bug.